---
title: List Voices
slug: list-voices
docTags: 
createdAt: 2024-04-04T07:27:15.502Z
---

To see available voices available to you, you need to use the `GET /voice/all` endpoint

:::BlockQuote
GET https\://platform-api.unith.ai/voice/all
:::

It is recommended to retrieve all results, and store locally for further use.&#x20;

The following parameters are available to you should you wish to refine your results:&#x20;

```curl
curl -X 'GET' \
  'https://platform-api.unith.ai/voice/all?order=ASC&page=1&take=10&language=english&provider=elevenlabs&sortBy=displayName' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer yourBearerToken'
```

| Name                                     | Description                                                                           |
| ---------------------------------------- | ------------------------------------------------------------------------------------- |
| `language`<br />**strin&#x67;*(query)*** | Language of the voice. See below.                                                     |
| `accent`<br />**strin&#x67;*(query)***   | Accent of the voice.                                                                  |
| `gender`<br />**strin&#x67;*(query)***   | **--, male, female**                                                                  |
| `provider`<br />**strin&#x67;*(query)*** | ISO language code of the voice, e.g. en-US                                            |
| `voiceId`<br />**string *(query)***      | Search by voice id.<br />Example: `"voiceId": "pNInz6obpgDQGcFmaJgB_eleven_flash_v2"` |
| `orderBy`<br />***(string)***            | order by:<br />`displayName, language, accent, provider, gender`                      |

